dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Сглаживание шрифта?

Сглаживание шрифта?

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 25.07.2005, 13:09 #1
Сглаживание шрифта?
venz
 
Архитектор
 
Минск
Регистрация: 09.06.2005
Сообщений: 6

venz вне форума Вставить имя

Шрифт Arial и Isocpeur. После использования "3D Orbit" сглаживание надписей исчезает, текст становится грызенным, трудночитаемым. Регенерация и 2D вайфрэйм не помогают. ADT 2006, 2005.
[ATTACH]1122282591.gif[/ATTACH]
Просмотров: 4359
 
Непрочитано 25.07.2005, 20:40
#2
lee


 
Регистрация: 28.02.2004
43
Сообщений: 1,624
Отправить сообщение для lee с помощью ICQ


Нажимаешь 3D ORBIT и в панели свойств значение TARGET Z приравниваешь 0.
В 99.9 % случаев помогает.
...............................
Удачи
lee вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 26.07.2005, 10:59
#3
venz

Архитектор
 
Регистрация: 09.06.2005
Минск
Сообщений: 6


TARGET Z уже установлен в 0, бесполезно.
venz вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 26.07.2005, 11:04
#4
Умка

медведятинко
 
Регистрация: 19.03.2005
Москва
Сообщений: 241
Отправить сообщение для Умка с помощью ICQ


а что, распечатывается тоже в таком же "покусанном" виде??
__________________
Всегда есть выход... Даже если тебя проглотят - выхода как минимум два!
Умка вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 26.07.2005, 11:44
#5
venz

Архитектор
 
Регистрация: 09.06.2005
Минск
Сообщений: 6


При распечатке шрифт не такой покусанный, но выглядит менее аккуратным и чуть жирнее. Пробовал в начале TEXTQLTY- Качество начертания шрифтов TrueType при выводе текстов на печать и тонировании. На моем Филипсе LCD мало того, что неприятно работать так еще и читабельность & узнаваемость = 0.
venz вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 26.07.2005, 13:50
#6
{Smirnoff}

Инженер по системам безопасности
 
Регистрация: 23.11.2003
Рига
Сообщений: 1,099


Попробуй такой лиспик прогнать, может поможет
Код:
[Выделить все]
(defun c:tres(/ allTex)
  (setq actDoc
	 (vla-get-ActiveDocument
	   (vlax-get-acad-object)))
  (if
    (setq allTex(ssget "_X" '((0 . "TEXT"))))
    (progn
      (setq allTex
	     (mapcar 'vlax-ename->vla-object 
                (vl-remove-if 'listp 
                  (mapcar 'cadr(ssnamex allTex))))) 
      (foreach tex allTex
	(vla-Update tex)
	); end foreach
      (vla-Regen actDoc acAllViewports)
      ); end progn
    ); end if
  (princ)
  ); end of c:tres
{Smirnoff} вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 29.04.2010, 21:56
#7
hayavaya

Инженер-проектировщик систем безопасности
 
Регистрация: 29.04.2010
Киев
Сообщений: 4


У меня такая же проблема. Но фишка в том, что сглаживание исчезает рандомно при переносе или копировании текста (в основном мультистрочного). Причем, если откатить действие и провести его заново, то сглаживание может остаться.
Пользуюсь 2010-м официальным русским.
Target Z стоит на нуле. Вышеприведенный лиспик не помогает.
hayavaya вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 30.04.2010, 05:38
#8
Profan


 
Регистрация: 25.12.2005
Москва
Сообщений: 13,674


А если аппаратное ускорение отключить?
Profan вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 30.04.2010, 10:12
#9
hayavaya

Инженер-проектировщик систем безопасности
 
Регистрация: 29.04.2010
Киев
Сообщений: 4


Хм. Можно попробывать. Но не думаю, что именно в этом причина. Т.к. текст таким же остается при сохранении или печати.
P.s. Подскажите, пожалуйста, где отключить аппаратное ускорение в семерке, а то не могу найти
hayavaya вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 30.04.2010, 10:39
#10
Profan


 
Регистрация: 25.12.2005
Москва
Сообщений: 13,674


В AutoCAD'е, в настройках. Но если на печать тоже плохо выходит, тогда уж не знаю...
Profan вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 30.04.2010, 20:56
#11
hayavaya

Инженер-проектировщик систем безопасности
 
Регистрация: 29.04.2010
Киев
Сообщений: 4


Отключение аппаратного ускорения результатов не дало, к сожалению.
Добавлю, что текст меняется не весь, а выборочно, т.е. рядом с текстом без сглаживания может находится текст со сглаживанием. Также это все выводится и на печать.
hayavaya вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 30.04.2010, 21:26
#12
Хмурый


 
Регистрация: 29.10.2004
СПб
Сообщений: 15,792


а сколько бит в системе?
Хмурый вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 04.05.2010, 17:25
#13
hayavaya

Инженер-проектировщик систем безопасности
 
Регистрация: 29.04.2010
Киев
Сообщений: 4


Винда 7 64-бита
hayavaya вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 07.12.2011, 16:25
#14
Курмышанец

КЖ
 
Регистрация: 17.11.2005
Петербург
Сообщений: 239


Цитата:
Сообщение от lee Посмотреть сообщение
Нажимаешь 3D ORBIT и в панели свойств значение TARGET Z приравниваешь 0.
В 99.9 % случаев помогает.
...............................
Удачи
Да правильно z=0 должно быть. Но не всё так просто!
Перед тем как обнулять z (хотя в окне свойств стоит 0 ) делаем следующее:
1 Формат --> Еденицы.. --> Линейные_Точность (ставим 0,00000000)
2 Дальше выбираем фильтром текст, и обнуляем Z текста.

А ещё лутше, делаем так:
1 Формат --> Еденицы.. --> Линейные_Точность (ставим 0,00000000)
2 Плющщим Z на плоскость 1e+99

(defun C:FLATTEN ()
(command "_.UCS" "")
(command "_.move" "_all" "" '(0 0 1e99) ""
"_.move" "_p" "" '(0 0 -1e99) "")
(princ)
)

3 Рисуем 2D полилинию от любого объекта имеющего координату Z=1e+99, к точке 0,0.
4 Командой перенести
– выбираете все объекты
- указываете на второй коец полилинии (который 0,0)
- при запросе второй точки , в коммандной строке пишем
0,0,0
Курмышанец вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 11.01.2019, 17:23
#15
NVFk

Конструктор
 
Регистрация: 23.03.2011
Москва
Сообщений: 41


Поздновато, но может кому пригодится - команда _FLATTEN сплющивает 3D объекты в 2D.
Правда она бывает расчленяет объекты (например, мультивыноски) до примитивов
__________________
Если долго мучаться, то всегда получится:i-m_so_happy:
NVFk вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Сглаживание шрифта?

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||